Subject: bug#67559: 29.1; Fix indentation in code example of optional arguments

From: Xiyue Deng <[email-masked]>
Date: Fri, 01 Dec 2023 14:39:48 -0800

Eli Zaretskii <[email-masked]> writes:

>> From: Xiyue Deng <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 01 Dec 2023 02:34:29 -0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Xiyue Deng <[email-masked]>
>> >> Date: Thu, 30 Nov 2023 17:45:57 -0800
>> >> 
>> >> The code example in the optional arguments section seems a little off in
>> >> indentation according to Elisp convention.  The attached patch tries to
>> >> improve it.
>> >
>> > Thanks, but "git am" rejects this patch with the following message:
>> >
>> >   Line longer than 78 characters in commit message
>> >   Commit aborted; please see the file CONTRIBUTE
>> >
>> > Please fix the commit log message (I think the problem is in the
>> > Subject line, actually) and resubmit.
>> 
>> Ah indeed the message was too long.  Here is the updated patch with
>> shorter title.
>
> Thanks, I installed it now on the emacs-29 branch.  It still needed a
> few minor adjustments in the commit log message, please see how I
> changed it.
>

Thanks!  Will remember to mention the bug number in future.

> With that, I'm closing this bug.
>
> Btw, I don't see a copyright assignment from you on file.  Would you
> like to start your legal paperwork now, so that we could accept
> changes from you without limitations in the future?

Yes, please send me the paperwork.  Thanks!

-- 
Xiyue Deng